## kodi-visualization-waveform 1.0.16

=== CMakeLists.txt ===
project(visualization.waveform)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(kodi REQUIRED)

set(WAVEFORM_SOURCES src/Main.cpp)

if(WIN32)
  set(SHADER_FILES src/DefaultVertexShader.hlsl
                   src/DefaultPixelShader.hlsl)
  set(SHADER_INCLUDES)
  foreach( SHADER_FILE ${SHADER_FILES} )
    get_filename_component( FileName ${SHADER_FILE} NAME_WE )
    if(${FileName} MATCHES "(.+Vertex.+)")
      set(ShaderType vs)
    elseif(${FileName} MATCHES "(.+Pixel.+)")
      set(ShaderType ps)
    else()
      message(FATAL_ERROR ${SHADER_FILE}": Unknown shader type.")
    endif()
    set( IncFile src/${FileName}.inc )
    list( APPEND SHADER_INCLUDES ${IncFile} )

    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${IncFile}
      COMMAND fxc /nologo /T${ShaderType}_4_0_level_9_1 /Vn ${FileName}Code /Fh ${IncFile} ${SHADER_FILE}
      MAIN_DEPENDENCY ${SHADER_FILE}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      VERBATIM)
  endforeach(SHADER_FILE)
  add_custom_target(generate ALL DEPENDS ${SHADER_INCLUDES})
else()
  find_package(OpenGL)
  if(OPENGL_FOUND)
    find_package(GLEW REQUIRED)
    set(INCLUDES ${OpenGL_INCLUDE_DIR}
                 ${GLEW_INCLUDE_DIR})
    add_definitions(-DHAS_OPENGL)
    set(DEPLIBS ${OPENGL_LIBRARIES} ${GLEW_LIBRARIES})
  else()
    find_package(OpenGLES2)
    if(OPENGLES2_FOUND)
      set(INCLUDES ${OPENGLES2_INCLUDE_DIR})
      add_definitions(-DHAS_GLES2)
      set(WAVEFORM_SOURCES src/Main_gles.cpp
                           src/VisGUIShader.cpp
                           src/VisMatrixGLES.cpp
                           src/VisShader.cpp)
      set(DEPLIBS ${OPENGLES2_LIBRARIES})
    else()
      message(FATAL_ERROR "No rendering API found. Bailing")
    endif()
  endif()
endif()

include_directories(${INCLUDES}
                    ${KODI_INCLUDE_DIR})

build_addon(visualization.waveform WAVEFORM DEPLIBS)

include(CPack)

=== depends/darwin/glew/CMakeLists.txt ===
project(glew)

cmake_minimum_required(VERSION 2.6)
enable_language(CXX)

include(ExternalProject)

externalproject_add(glew
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND ""
                    CONFIGURE_COMMAND ""
                    BUILD_COMMAND make
                                  LOCALCC=${CMAKE_C_COMPILER}
                                  SYSTEM=darwin
                                  GLEW_DEST=${CMAKE_INSTALL_PREFIX}
                                  "LOCALCFLAGS=${CMAKE_C_FLAGS}"
                                  "LOCALLDFLAGS=${CMAKE_LD_FLAGS}"
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make -C ${PROJECT_SOURCE_DIR} install
                                      LOCALCC=${CMAKE_C_COMPILER}
                                      SYSTEM=darwin
                                      GLEW_DEST=${CMAKE_INSTALL_PREFIX}
                                      \"LOCALCFLAGS=${CMAKE_C_FLAGS}\"
                                      \"LOCALLDFLAGS=${CMAKE_LD_FLAGS}\")")

=== debian/changelog ===
kodi-visualization-waveform (1.0.16-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Change to multiarch install to match our Kodi, otherwise it won't work.
  * Use a dh-exec debian/install file, add dh-exec to build-depends.
  * Compat level 9, minimum debhelper version is 9.
  
 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 09 May 2016 15:05:22 -0700

kodi-visualization-waveform (1.0.16-1~trusty) trusty; urgency=low

  [ xbmc ]
  * autogenerated dummy changelog

  [ wsnipex ]
  * no upstream changelog available

 -- wsnipex <wsnipex@a1.net>  Wed, 28 Oct 2015 08:37:43 +0100

=== debian/control ===
Source: kodi-visualization-waveform
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Arne Morten Kvarving <spiff@xbmc.org>
Build-Depends: debhelper (>= 8.0.0),
 dh-exec (>=0.3),
 cmake,
 kodi-addons-dev,
# libkodiplatform-dev,
 libgl1-mesa-dev,
 libglew-dev
Standards-Version: 3.9.5
Section: libs
Homepage: http://xbmc.org

Package: kodi-visualization-waveform
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Waveform visualization for Kodi
 Waveform visualization for Kodi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-visualization-waveform

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/kodi-visualization-waveform

## kodi-visualization-waveform 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 
 set(WAVEFORM_SOURCES src/Main.cpp)
 
@@ -35,11 +35,8 @@
 else()
   find_package(OpenGL)
   if(OPENGL_FOUND)
-    find_package(GLEW REQUIRED)
-    set(INCLUDES ${OpenGL_INCLUDE_DIR}
-                 ${GLEW_INCLUDE_DIR})
     add_definitions(-DHAS_OPENGL)
-    set(DEPLIBS ${OPENGL_LIBRARIES} ${GLEW_LIBRARIES})
+    set(DEPLIBS ${OPENGL_LIBRARIES})
   else()
     find_package(OpenGLES2)
     if(OPENGLES2_FOUND)

=== debian/changelog ===
kodi-visualization-waveform (1.1.0-1) jessie; urgency=medium

  * Rebuild for Debian 8 (Jessie).
  * Rebuild against Kodi 17.
  * Don't use ccache.
  * Switch to 3.0 (quilt) source format.
  * Remove -dmo from version string.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2017 14:31:44 -0800

kodi-visualization-waveform-dmo (1.1.0-dmo1~bpo8+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2016 10:14:20 +0200

kodi-visualization-waveform-dmo (1.0.16-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2016 14:41:13 +0100

=== debian/control ===
Source: kodi-visualization-waveform
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/notspiff/visualization.waveform
Standards-Version: 3.9.7
Build-Depends: debhelper (>=9), cmake, kodi-addons-dev, libglu-dev

Package: kodi-visualization-waveform
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 16.0~)
Description: Waveform audio visualization addon for Kodi
 Waveform audio visualization addon for Kodi.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 \
	-DCMAKE_INSTALL_PREFIX=/usr

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_clean:
	dh_clean visualization.waveform/addon.xml

## kodi-visualization-waveform 4.4.0%2Bds1

=== debian/changelog ===
kodi-visualization-waveform (4.4.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:21 +0000

kodi-visualization-waveform (4.4.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 08:14:21 +0000

## kodi-visualization-waveform 4.4.0+ds1

=== debian/changelog ===
kodi-visualization-waveform (4.4.0+ds1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:42:00 -0700

=== debian/control ===
Source: kodi-visualization-waveform
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libglm-dev (>= 0.9.9.3~),
                    libglu-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform.git
Homepage: https://kodi.tv

Package: kodi-visualization-waveform
Architecture: any
Depends: ${kodi:VISUALIZATIONAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: Waveform audio visualization addon for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a Waveform audio visualization addon for Kodi.

## kodi-visualization-waveform 19.0.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(visualization.waveform)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(glm REQUIRED)

if(WIN32)
  set(SHADER_FILES src/DefaultVertexShader.hlsl
                   src/DefaultPixelShader.hlsl)
  set(SHADER_INCLUDES)
  set(WAVEFORM_SOURCES src/Main_dx.cpp)
  foreach( SHADER_FILE ${SHADER_FILES} )
    get_filename_component( FileName ${SHADER_FILE} NAME_WE )
    if(${FileName} MATCHES "(.+Vertex.+)")
      set(ShaderType vs)
    elseif(${FileName} MATCHES "(.+Pixel.+)")
      set(ShaderType ps)
    else()
      message(FATAL_ERROR ${SHADER_FILE}": Unknown shader type.")
    endif()
    set( IncFile src/${FileName}.inc )
    list( APPEND SHADER_INCLUDES ${IncFile} )

    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${IncFile}
      COMMAND fxc /nologo /T${ShaderType}_4_0_level_9_1 /Vn ${FileName}Code /Fh ${IncFile} ${SHADER_FILE}
      MAIN_DEPENDENCY ${SHADER_FILE}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      VERBATIM)
  endforeach(SHADER_FILE)
  add_custom_target(generate ALL DEPENDS ${SHADER_INCLUDES})
else()
  if(APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM)
    find_package(OpenGl REQUIRED)
    set(DEPLIBS ${OPENGL_LIBRARIES})
    set(INCLUDES ${OPENGL_INCLUDE_DIR})
    add_definitions(${OPENGL_DEFINITIONS})
  elseif(APP_RENDER_SYSTEM STREQUAL "gles")
    find_package(OpenGLES REQUIRED)
    set(DEPLIBS ${OPENGLES_LIBRARIES})
    set(INCLUDES ${OPENGLES_INCLUDE_DIR})
    add_definitions(${OPENGLES_DEFINITIONS})
  endif()

  set(WAVEFORM_SOURCES src/Main_gl.cpp)
endif()

include_directories(${INCLUDES}
                    ${GLM_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..)  # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

build_addon(visualization.waveform WAVEFORM DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-waveform (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:15:03 +0000

kodi-visualization-waveform (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:36:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-visualization-waveform
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libglm-dev (>= 0.9.9.3~),
-                    libglu-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+               cmake,
+               kodi-addons-dev (>= 2:19~),
+               libglu-dev,
+               libglm-dev (>= 0.9.9.3~)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform.git
@@ -18,7 +17,9 @@
 
 Package: kodi-visualization-waveform
 Architecture: any
-Depends: ${kodi:VISUALIZATIONAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:VISUALIZATIONAPI}
 Description: Waveform audio visualization addon for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.waveform/releases \
/xbmc/visualization.waveform/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-visualization-waveform 19.0.2%2Bds1

=== debian/changelog ===
kodi-visualization-waveform (19.0.2+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:46 +0000

kodi-visualization-waveform (19.0.2+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Vasyl Gello ]
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Apr 2022 09:18:07 +0000

kodi-visualization-waveform (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:51:20 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libglu-dev,
-               libglm-dev (>= 0.9.9.3~)
+               libglm-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform

## kodi-visualization-waveform 20.1.0+ds1

=== debian/changelog ===
kodi-visualization-waveform (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:57:31 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.waveform/releases \
/xbmc/visualization.waveform/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-visualization-waveform 20.2.1+ds1

=== debian/changelog ===
kodi-visualization-waveform (20.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.1+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libglu-dev,
                libglm-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.waveform \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-visualization-waveform 21.0.2+ds

=== debian/changelog ===
kodi-visualization-waveform (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:38 +0000

kodi-visualization-waveform (20.2.1+ds1-4) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:15:29 +0000

kodi-visualization-waveform (20.2.1+ds1-3) unstable; urgency=medium

  * Fix FTBFS on arm*

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 12:48:42 +0000

kodi-visualization-waveform (20.2.1+ds1-2) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:47:57 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
-               libglu-dev,
+               libgl1-mesa-dev,
                libglm-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-waveform.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-visualization-waveform

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.waveform \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
